package com.zswl.cloud.springBatch.client.model.dfy.DomesticHotel.response;

import com.zswl.cloud.springBatch.client.model.dfy.DfyResponseBase;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class OrderDetailResponse extends DfyResponseBase {

    private Datas data;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class Datas {

        private ContactInfo contactInfo; // 是否下单成功
        private Integer hotelInfo; // 订单Id
        private Integer orderInfo; // 笛风订单号是否新生成，1：是，0：否

    }
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class ContactInfo {

        private String contactName;


    }


}
